/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is
 * Dão Gottwald <dao@design-noir.de>.
 * Portions created by the Initial Developer are Copyright (C) 2007
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

:root {
  background-color: -moz-dialog;
  color: -moz-dialogtext;
  font: message-box;
}

body {
  border: 1px solid ThreeDShadow;
  -moz-border-radius: 10px;
  padding: 3em;
  min-width: 13em;
  max-width: 52em;
  margin: 4em auto;
  background-color: -moz-field;
  color: -moz-fieldtext;
}

h1 {
  font-size: 160%;
  margin: 0 0 .6em;
  border-bottom: 1px solid ThreeDLightShadow;
  font-weight: normal;
}

a {
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

p {
  font-size: 110%;
}

#UI_goUp {
  margin-top: 0;
  float: left;
}

#UI_showHidden {
  margin-top: 0;
  float: right;
}

#UI_showHidden:not(:hover) {
  color: graytext;
}

table {
  clear: both;
  width: 90%;
  margin: 0 auto;
}

thead {
  font-size: 130%;
}

th {
  font-weight: normal;
}

th:first-child ,
th:first-child + th {
  padding-right: 2em;
}

table[order] th:hover {
  text-decoration: underline;
}

tbody > tr:not(:hover) > td:not(:first-child) {
  color: graytext;
}

/* let 'Size' and 'Last Modified' take only as much space as they need and 'Name' all the rest */
td:first-child + td ,
td:first-child + td + td ,
td:last-child {
  width: 0;
}

.up ,
.dir ,
.symlink ,
.file {
  padding: 0 .5em;
  margin-left: 20px;
}

.up::before ,
.dir::before ,
.file > img {
  margin-right: 4px;
  margin-left: -20px;
  opacity: .6;
  vertical-align: middle;
}

.up::before {
  content: url(chrome://global/skin/dirListing/up.png);
}

.up:hover::before ,
tr:hover > td > a::before ,
tr:hover > td > .file > img {
  opacity: 1;
}
